%define major		2
%define libname		%mklibname 3mf %{major}
%define develname	%mklibname 3mf -d

Name:		lib3mf
Version:	2.4.1
Release:	%mkrel 1
Summary:	C++ implementation of the 3D Manufacturing Format
License:	BSD
Group:		System/Libraries
URL:		https://3mf.io/
Source0:	https://github.com/3MFConsortium/lib3mf/archive/v%{version}/%{name}-%{version}.tar.gz
Patch1:		lib3mf-missing-include.patch

BuildRequires:	cmake
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(libzip)
BuildRequires:	pkgconfig(uuid)
BuildRequires:	pkgconfig(zlib)

%description
lib3mf is a C++ implementation of the 3D Manufacturing Format file
standard.

It provides 3MF reading and writing capabilities, as well as conversion
and validation tools for input and output data. lib3mf runs on Windows,
Linux and MacOS and offers a clean and easy-to-use API in various
programming languages to speed up the development and keep integration
costs at a minimum.

As 3MF shall become an universal 3D Printing standard, its quick
adoption is very important. This library shall lower all barriers of
adoption to any possible user, let it be software providers, hardware
providers, service providers or middleware tools.

#------------------------------------------------

%package -n	%{libname}
Summary:	C++ implementation of the 3D Manufacturing Format
Group:		System/Libraries

%description -n	%{libname}
lib3mf is a C++ implementation of the 3D Manufacturing Format file
standard.

It provides 3MF reading and writing capabilities, as well as conversion
and validation tools for input and output data. lib3mf runs on Windows,
Linux and MacOS and offers a clean and easy-to-use API in various
programming languages to speed up the development and keep integration
costs at a minimum.

As 3MF shall become an universal 3D Printing standard, its quick
adoption is very important. This library shall lower all barriers of
adoption to any possible user, let it be software providers, hardware
providers, service providers or middleware tools.

#------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	3mf-devel = %{version}-%{release}

%description -n	%{develname}
Header files for development with %{name}.

#------------------------------------------------

%prep
%autosetup -p1

# drop bundled libs and binaries
rm -rf Libraries/{libzip,zlib}

%build
%cmake \
	-DCMAKE_INSTALL_LIBDIR:PATH="%{_lib}" \
	-DCMAKE_INSTALL_INCLUDEDIR:PATH="include/%{name}" \
	-DUSE_INCLUDED_LIBZIP:BOOL=OFF \
	-DUSE_INCLUDED_ZLIB:BOOL=OFF \
	-DSTRIP_BINARIES:BOOL=OFF \
	-DLIB3MF_TESTS:BOOL=OFF
%cmake_build

%install
%cmake_install

%files -n %{libname}
%doc CONTRIBUTING.md README.md
%license LICENSE
%{_libdir}/lib3mf.so.%{major}{,.*}

%files -n %{develname}
%doc CONTRIBUTING.md README.md
%{_includedir}/%{name}/
%{_libdir}/lib3mf.so
%{_libdir}/pkgconfig/lib3mf.pc
%{_libdir}/cmake/lib3mf/


%changelog
* Thu May 22 2025 daviddavid <daviddavid> 2.4.1-1.mga10
+ Revision: 2185601
- new version: 2.4.1

* Fri Feb 21 2025 daviddavid <daviddavid> 2.3.2-1.mga10
+ Revision: 2150267
- new version: 2.3.2

* Mon Oct 03 2022 neoclust <neoclust> 2.2.0-1.mga9
+ Revision: 1894509
- New version 	2.2.0

* Wed Mar 30 2022 umeabot <umeabot> 2.1.1-3.mga9
+ Revision: 1833600
- Mageia 9 Mass Rebuild
+ wally <wally>
- remove duplicate pkg-config .pc installation

* Mon Jul 19 2021 wally <wally> 2.1.1-2.mga9
+ Revision: 1737000
- fix paths in pkg-config .pc file

* Mon Jul 19 2021 wally <wally> 2.1.1-1.mga9
+ Revision: 1736995
- new version 2.1.1
- fixes CVE-2021-21772 (mga#29018)
- add Gentoo patch to use system act binary

* Wed Feb 19 2020 umeabot <umeabot> 1.8.1-2.mga8
+ Revision: 1542535
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 daviddavid <daviddavid> 1.8.1-1.mga8
+ Revision: 1476528
- initial package lib3mf

